spot 2.3.1

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Public Types | Public Member Functions | List of all members
spot::internal::all_trans< Graph > Class Template Reference
Collaboration diagram for spot::internal::all_trans< Graph >:

## Public Types
typedef std::conditional < std::is_const< Graph > ::value, const typename Graph::edge_vector_t, typename Graph::edge_vector_t >::type | tv_t
typedef all_edge_iterator< Graph > | iter_t

## Public Member Functions
| all_trans (tv_t &tv) noexcept
iter_t | begin () const
iter_t | end () const

The documentation for this class was generated from the following file:

- spot/graph/graph.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.